rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
ugid.h File Reference
RPMIO.
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | unameToUid (const char *thisUname, uid_t *uid)
int | gnameToGid (const char *thisGname, gid_t *gid)
char * | uidToUname (uid_t uid)
char * | gidToGname (gid_t gid)

## Function Documentation

char* gidToGname | ( | gid_t | gid | ) |

Definition at line 153 of file ugid.c.

References xrealloc().

Referenced by mtreeVisitD(), mtreeVisitF(), rpmVerifyFile(), shownode(), statFormat(), tarHeaderWrite(), and unsatisfiedDepend().

int gnameToGid | ( | const char * | thisGname,
|  | gid_t * | gid
| ) |  |

Definition at line 62 of file ugid.c.

References xrealloc().

Referenced by fsmMapAttrs(), iosmMapAttrs(), rpmfiFStat(), set(), unsatisfiedDepend(), and vfs_parse_ls_lga().

char* uidToUname | ( | uid_t | uid | ) |

Definition at line 120 of file ugid.c.

References xrealloc().

Referenced by mtreeVisitD(), mtreeVisitF(), rpmVerifyFile(), shownode(), statFormat(), tarHeaderWrite(), and unsatisfiedDepend().

int unameToUid | ( | const char * | thisUname,
|  | uid_t * | uid
| ) |  |

Definition at line 16 of file ugid.c.

References xrealloc().

Referenced by fsmMapAttrs(), iosmMapAttrs(), rpmfiFStat(), set(), unsatisfiedDepend(), and vfs_parse_ls_lga().